.pipelines-pipeline-button-disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.pipelines-pipeline-actions {
    display: flex;
    gap: 8px;
}

.pipelines-pipeline-actions button, .pipelines-pipeline-actions a {
    border: none;
    padding: 8px;
    border-radius: 5px;
    cursor: pointer;
    color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.pipelines-pipeline-actions a {
    background-color: var(--pipeline-action-background-color);
}

.pipelines-pipeline-actions button:hover:not(.pipelines-pipeline-button-disabled) {
    opacity: 0.9;
}

.pipelines-pipeline-info-button {
    background-color: var(--text-color-medium);
}

.pipelines-pipeline-delete-button {
    background-color: var(--button-danger-background-color);
}

.pipelines-pipelines-refresh-container {
    padding: 1rem 0;
    text-align: right;
}

.pipelines-pipeline-refresh-button {
    background-color: var(--pipeline-refresh-button-background-color);
    color: var(--white-color);
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    font-size: 1rem;
}

.pipelines-pipeline-refresh-button:hover {
    background-color: var(--pipeline-refresh-button-hover-background-color);
}